=== debian/changelog ===
ros-lunar-rc-hand-eye-calibration-client (2.5.0-0stretch) stretch; urgency=high

  * rename ip parameter to host
  * allow hostname as device parameter

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 04 Feb 2019 23:00:00 -0000

ros-lunar-rc-hand-eye-calibration-client (2.4.2-0stretch) stretch; urgency=high

  * depend on curl

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 28 Oct 2018 23:00:00 -0000

ros-lunar-rc-hand-eye-calibration-client (2.4.1-0stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 28 Oct 2018 23:00:00 -0000

ros-lunar-rc-hand-eye-calibration-client (2.4.0-0stretch) stretch; urgency=high

  * first release

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 15 Oct 2018 22:00:00 -0000
